.\"
.\"     $NetBSD: stge.4,v 1.7 2003/02/14 15:20:20 grant Exp $
.\"	$DragonFly: src/share/man/man4/stge.4,v 1.3 2007/02/25 12:03:07 swildner Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"        This product includes software developed by the NetBSD
.\"        Foundation, Inc. and its contributors.
.\" 4. Neither the name of The NetBSD Foundation nor the names of its
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 2, 2006
.Dt STGE 4
.Os
.Sh NAME
.Nm stge
.Nd "Sundance/Tamarack TC9021 Gigabit Ethernet device"
.Sh SYNOPSIS
.Cd "device miibus"
.Cd "device stge"
.Pp
Alternatively, to load the driver as a module at boot time, place the
following line in
.Pa /boot/loader.conf :
.Bd -literal -offset indent
if_stge_load="YES"
.Ed
.Sh DESCRIPTION
The
.Nm
driver supports the Sundance/Tamarack TC9021 Gigabit Ethernet chip.
.Pp
It uses an external PHY or an external 10-bit interface.
.Pp
The
.Nm
driver also supports
IP/UDP/TCP checksum offload,
VLAN tagging/insertion and
JUMBO frame.
.Sh HARDWARE
The
.Nm
driver supports the Sundance/Tamarack TC9021 based Gigabit Ethernet adapters,
including the following:
.Pp
.Bl -bullet -compact
.It
Antares Microsystems Gigabit Ethernet
.It
ASUS NX1101 Gigabit Ethernet
.It
D-Link DGE-550T Gigabit Ethernet
.It
IC Plus IP1000A Gigabit Ethernet
.It
Sundance ST-2021 Gigabit Ethernet
.It
Sundance ST-2023 Gigabit Ethernet
.It
Sundance TC9021 Gigabit Ethernet
.It
Tamarack TC9021 Gigabit Ethernet
.El
.\" TODO .Sh DIAGNOSTICS
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr miibus 4 ,
.Xr netintro 4 ,
.Xr ng_ether 4 ,
.Xr polling 4 ,
.Xr vlan 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
device driver first appeared in
.Nx 1.6 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Jason R. Thorpe
.Aq thorpej@NetBSD.org
and improved by
.An Pyun YongHyeon
.Aq yongari@freebsd.org .
